
@extends('layouts.nav')
@section('title')
Journals
@endsection
@section('content')               

@php
$PermissionsAddJournalAccount = App\Models\PermissionsUserModel::getPermission('Add Journal Account', Auth::user()->id);
$PermissionsEditJournalAccount = App\Models\PermissionsUserModel::getPermission('Edit Journal Account', Auth::user()->id);
$PermissionsDeleteJournalAccount = App\Models\PermissionsUserModel::getPermission('Delete Journal Account', Auth::user()->id);
@endphp

<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Account Journals</h1>
                      </div>

                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Add Journal</h6>
                        </div>
                        @if (session('success'))
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                {{ session('success') }}
                            </div>
                        @endif
                      
                        @if ($errors->any())

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                @foreach ($errors->all() as $error)
                                                <div style="color: red; ">{{ $error }}</div>
                                                @endforeach
                                        
                                            </div>
                                        </div>
                                    </div>
                                    @endif
                            @if(!empty($PermissionsAddJournalAccount))
                            <form class="card-body" action="{{route('addjournals')}}" method="post"  id="accountTypeForm">
                            @csrf
                            <input type="hidden" id="accountId" name="id" value="">
                                
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                    <input type="text" class="form-control form-control-user" id="account" placeholder="Journal Code" name="account"  value="{{ old('account') }}" required >
                                    
                                   <!-- <select  class="form-control form-control-user" id="account" name="account"  value="{{ old('account') }}"  required>
                                        <option value="" disabled selected>Select Account</option>

                                        @foreach ($Accounts as $Account)
                                        
                                        <option value="{{ $Account->AccCode }}">{{ $Account->AccCode.'/'.$Account->AccName }}</option>
                                          
                                        @endforeach
                                    </select>-->
                                    </div>
                                    <div class="col-sm-6">
                                        <input type="text" class="form-control form-control-user" id="name" placeholder="Journal Name" name="name"  value="{{ old('name') }}" required >
                                    </div>
                                    
                                </div>


                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;"  onclick="refreshAccountType('','', '')"   type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                             @endif
                   
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Journal Code</th>
                                            <th>Journal Name</th>
                                            <th>Action</th>
                                         
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                        <th>Journal Code</th>
                                            <th>Journal Name</th>
                                            <th>Action</th>
                                            

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                      
                                    @foreach ($cashbooks as $cashbook)
                                            <tr>
                                        
                                                <td>{{ $cashbook->AccCode }}</td> 
                                                <td>{{ $cashbook->Name }}</td>
                                                <td style="justify-content: center; align-items: center;">
                                                  @if(!empty($PermissionsEditJournalAccount))
                                                  <a href="" onclick="editAccountType(event,'{{ $cashbook->ID }}', '{{ $cashbook->AccCode }}', '{{ $cashbook->Name }}')"  class="btn btn-primary btn-circle" >
                                                  <i class="fas fa-edit"></i>
                                                  </a>
                                                  @endif
                                                  @if(!empty($PermissionsDeleteJournalAccount))
                                                  <a href="{{route('deletejournals',['id'=>$cashbook->ID])}}" class="btn btn-danger btn-circle"   onclick="return confirmDelete('{{ $cashbook->Name }}');" >
                                                      <i class="fas fa-trash"></i>
                                                  </a>
                                                  @endif
                                              </td>
                                            </tr>
                                        @endforeach

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id,AccCode, Name) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('account').value = AccCode;
                                document.getElementById('name').value = Name;
                                document.getElementById('formHeader').innerText = 'Edit Journal';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '{{route("editjournals")}}';
                            }
                
                            function refreshAccountType( id,AccCode, Name) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('account').value = AccCode;
                                document.getElementById('name').value = Name;
                                document.getElementById('formHeader').innerText = 'Add Journal';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '{{route("addjournals")}}';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Journal: " + Name + "?");
                            }


                
                </script>

                    @endsection