
@extends('layouts.nav')
@section('title')
Rooms
@endsection
@section('content')               
@php
$PermissionsAddRooms = App\Models\PermissionsUserModel::getPermission('Add Rooms', Auth::user()->id);
$PermissionsEditRooms = App\Models\PermissionsUserModel::getPermission('Edit Rooms', Auth::user()->id);
$PermissionsDeleteRooms = App\Models\PermissionsUserModel::getPermission('Delete Rooms', Auth::user()->id);
@endphp
<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Property Rooms</h1>
                      </div>
                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Create Room</h6>
                        </div>
                        @if (session('success'))
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                {{ session('success') }}
                            </div>
                        @endif
                      
                        @if ($errors->any())

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                @foreach ($errors->all() as $error)
                                                <div style="color: red; ">{{ $error }}</div>
                                                @endforeach
                                        
                                            </div>
                                        </div>
                                    </div>
                                    @endif
                            @if(!empty($PermissionsAddRooms))
                            <form class="card-body" action="{{route('addrooms')}}" method="post"  id="accountTypeForm">
                            @csrf
                            <input type="hidden" id="accountId" name="id" value="">
                                
                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <select class="form-control form-control-user" id="floor" name="floor"  value="{{ old('floor') }}"  required>
                                        <option value="" disabled selected>Select Floor</option>

                                        @foreach ($floors as $floor)
                                        
                                        <option value="{{ $floor->FloorNumber }}">{{ $floor->FloorNumber }}</option>
                                          
                                        @endforeach
                                    </select>
                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="room" placeholder="Room" name="room"  value="{{ old('room') }}" required>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control form-control-user" id="space" placeholder="Space" name="space"  value="{{ old('space') }}" required   >
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <select class="form-control form-control-user" id="tenant" name="tenant"  value="{{ old('tenant') }}"  required>
                                        <option value="" disabled selected>Select Tenant</option>

                                        @foreach ($tenants as $tenant)
                                        
                                        <option value="{{ $tenant->TenantCode }}">{{ $tenant->TenantCode.' - '.$tenant->Name }}</option>
                                          
                                        @endforeach
                                    </select>
                                    </div>
                                   
                                </div>





                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;" onclick="refreshAccountType('', '', '', '', '')"  type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                            @endif
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                        <th>Floor</th>
                                            <th>Room</th>
                                            <th>Space</th>
                                            <th>Tenant</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                            <th>Floor</th>
                                            <th>Room</th>
                                            <th>Space</th>
                                            <th>Tenant</th>
                                            <th>Action</th>

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                       
                                    @foreach ($rooms as $room)
                                            <tr>
                                        
                                                <td>{{ $room->Floor }}</td> 
                                                <td>{{ $room->Room }}</td>
                                                <td>{{ $room->Space }}</td>
                                                <td>{{ $room->Tenant }}</td>
                                               
                                                 

                                                <td style="justify-content: center; align-items: center;">
                                                    @if(!empty($PermissionsEditRooms))         
                                                    <a href="" onclick="editAccountType(event,'{{ $room->ID }}', '{{ $room->Floor }}', '{{ $room->Room }}', '{{ $room->Space }}', '{{ $room->TenantCode }}')"  class="btn btn-primary btn-circle" >
                                                    <i class="fas fa-edit"></i>
                                                    @endif
                                                    @if(!empty($PermissionsDeleteRooms))
                                                    </a>
                                                    <a href="{{ route('deleterooms', ['id' => $room->ID]) }}" class="btn btn-danger btn-circle"   onclick="return confirmDelete('{{ $room->Room.' Floor: '.$room->Floor }}');" >
                                                        <i class="fas fa-trash"></i>
                                                    </a>
                                                    @endif
                                                </td>
                                                
                                            </tr>
                                        @endforeach
                                           
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id, floor,room, space,tenant) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('floor').value = floor;
                                document.getElementById('room').value = room;
                                document.getElementById('space').value = space;
                                document.getElementById('tenant').value = tenant;
                                document.getElementById('formHeader').innerText = 'Edit Room';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '{{route("editrooms")}}';
                            }
                
                            function refreshAccountType(id,  floor,room, space,tenant) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('floor').value = floor;
                                document.getElementById('room').value = room;
                                document.getElementById('space').value = space;
                                document.getElementById('tenant').value = tenant;
                                document.getElementById('formHeader').innerText = 'Create Room';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '{{route("addrooms")}}';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Room: " + Name + "?");
                            }


                
                </script>

                    @endsection